
Name:           lostirc
Version:        0.4.6
Release:        %mkrel 3
Summary:        Simple IRC client for X11
Group:          Networking/IRC
License:        GPLv2+
URL:            http://lostirc.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:         lostirc-0.4.6-FTBFS.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  %{_lib}gtkmm2.4-devel, gettext, desktop-file-utils


%description
Lostirc is a simple, yet very useful IRC-client. It has features such as 
tab-autocompletion, multiple server support, automatic joining of 
servers/channels and DCC sending which should cover the needs of most 
people. The client is 100% keyboard-controllable, and uses the gtkmm GUI 
library

%prep

%setup -q
%patch0 -p1 -b .ftbfs
sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop


%build
autoconf
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/LostIRC.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=LostIRC
Comment=Lightweight IRC Client
Exec=lostirc
Icon=lostirc
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet;GTK;Network;
EOF


# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_datadir}/locale/*


%changelog
* Thu Sep 15 2011 Sproggy <desproggster@gmail.com> 0.4.6-3pclos2011
- rebuilt for x86_64

* Mon May 30 2011 Texstar <texstar at gmail.com> 0.4.6-2pclos2011
- change GROUP to Networking/IRC for Synaptic

* Sun May 23 2011 Sproggy <desproggster at gmail.com> 0.4.6-1pclos2011
- initial build or PCLOS
